diff --git a/web/pgadmin/static/css/codemirror.overrides.css b/web/pgadmin/static/css/codemirror.overrides.css
index 6bffbcee..cdfbc862 100644
--- a/web/pgadmin/static/css/codemirror.overrides.css
+++ b/web/pgadmin/static/css/codemirror.overrides.css
@@ -42,10 +42,6 @@
   color: #964;
 }
 
-.pgadmin-controls.sql_field_layout .CodeMirror {
-  line-height: 22px;
-}
-
 /* Codemirror buttons */
 .CodeMirror-dialog button {
     font-family: 'Open Sans';
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 0916e2bb..e0575cc8 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -2099,7 +2099,9 @@ define([
         self.sqlCtrl.setOption('lineWrapping', sqlEditPreferences.wrap_code);
         self.sqlCtrl.setOption('autoCloseBrackets', sqlEditPreferences.insert_pair_brackets);
         self.sqlCtrl.setOption('matchBrackets', sqlEditPreferences.brace_matching);
-        self.sqlCtrl.refresh();
+        setTimeout(function() {
+          self.sqlCtrl.refresh();
+        }, 500);
       }
     },
 
diff --git a/web/pgadmin/tools/datagrid/static/js/datagrid.js b/web/pgadmin/tools/datagrid/static/js/datagrid.js
index 2884db46..28d42b1c 100644
--- a/web/pgadmin/tools/datagrid/static/js/datagrid.js
+++ b/web/pgadmin/tools/datagrid/static/js/datagrid.js
@@ -304,8 +304,12 @@ define('pgadmin.datagrid', [
                   matchBrackets: self.preferences.brace_matching,
                 });
 
+                let sql_font_size = sqlEditorUtils.calcFontSize(self.preferences.sql_font_size);
+                $(this.filter_obj.getWrapperElement()).css('font-size', sql_font_size);
+
                 setTimeout(function() {
                   // Set focus on editor
+                  that.filter_obj.refresh();
                   that.filter_obj.focus();
                 }, 500);
               },
